Xerces2 Implementation: Class ErrorHandlerWrapper

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class ErrorHandlerWrapper

    java.lang.Object
      |
      +--org.apache.xerces.util.ErrorHandlerWrapper

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLErrorHandler

public class ErrorHandlerWrapper
extends java.lang.Object
implements org.apache.xerces.xni.parser.XMLErrorHandler

This class wraps a SAX error handler in an XNI error handler.

Version:
  $Id: ErrorHandlerWrapper.java 447241 2006-09-18 05:12:57Z mrglavas $
Author:
  Andy Clark, IBM
See Also:
  `ErrorHandler`

Field Summary
`protected org.xml.sax.ErrorHandler` | `fErrorHandler` The SAX error handler.

Constructor Summary
`ErrorHandlerWrapper()` Default constructor.
`ErrorHandlerWrapper(org.xml.sax.ErrorHandler errorHandler)` Wraps the specified SAX error handler.

Method Summary
`protected static org.xml.sax.SAXParseException` | `createSAXParseException(org.apache.xerces.xni.parser.XMLParseException exception)` Creates a SAXParseException from an XMLParseException.
`protected static org.apache.xerces.xni.parser.XMLParseException` | `createXMLParseException(org.xml.sax.SAXParseException exception)` Creates an XMLParseException from a SAXParseException.
`protected static org.apache.xerces.xni.XNIException` | `createXNIException(org.xml.sax.SAXException exception)` Creates an XNIException from a SAXException.
`void` | `error(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException exception)` Reports an error.
`void` | `fatalError(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException exception)` Report a fatal error.
`org.xml.sax.ErrorHandler` | `getErrorHandler()` Returns the SAX error handler.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)` Sets the SAX error handler.
`void` | `warning(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException exception)` Reports a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fErrorHandler

    protected org.xml.sax.ErrorHandler fErrorHandler

  The SAX error handler.

Constructor Detail

### ErrorHandlerWrapper

    public ErrorHandlerWrapper()

  Default constructor.

### ErrorHandlerWrapper

    public ErrorHandlerWrapper(org.xml.sax.ErrorHandler errorHandler)

  Wraps the specified SAX error handler.

Method Detail

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

  Sets the SAX error handler.

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Returns the SAX error handler.

### warning

    public void warning(java.lang.String domain,
                        java.lang.String key,
                        org.apache.xerces.xni.parser.XMLParseException exception)
                 throws org.apache.xerces.xni.XNIException

  Reports a warning. Warnings are non-fatal and can be safely ignored by most applications.
  Specified by:
    `warning` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
  Parameters:
    `domain` - The domain of the warning. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this warning.
    `key` - The warning key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

### error

    public void error(java.lang.String domain,
                      java.lang.String key,
                      org.apache.xerces.xni.parser.XMLParseException exception)
               throws org.apache.xerces.xni.XNIException

  Reports an error. Errors are non-fatal and usually signify that the document is invalid with respect to its grammar(s).
  Specified by:
    `error` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
  Parameters:
    `domain` - The domain of the error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this error.
    `key` - The error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

### fatalError

    public void fatalError(java.lang.String domain,
                           java.lang.String key,
                           org.apache.xerces.xni.parser.XMLParseException exception)
                    throws org.apache.xerces.xni.XNIException

  Report a fatal error. Fatal errors usually occur when the document is not well-formed and signifies that the parser cannot continue normal operation.

  Note: The error handler should always throw an `XNIException` from this method. This exception can either be the same exception that is passed as a parameter to the method or a new XNI exception object. If the registered error handler fails to throw an exception, the continuing operation of the parser is undetermined.

  Specified by:
    `fatalError` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
  Parameters:
    `domain` - The domain of the fatal error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this fatal error.
    `key` - The fatal error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

### createSAXParseException

    protected static org.xml.sax.SAXParseException createSAXParseException(org.apache.xerces.xni.parser.XMLParseException exception)

  Creates a SAXParseException from an XMLParseException.

### createXMLParseException

    protected static org.apache.xerces.xni.parser.XMLParseException createXMLParseException(org.xml.sax.SAXParseException exception)

  Creates an XMLParseException from a SAXParseException.

### createXNIException

    protected static org.apache.xerces.xni.XNIException createXNIException(org.xml.sax.SAXException exception)

  Creates an XNIException from a SAXException. NOTE: care should be taken *not* to call this with a SAXParseException; this will lose information!!!

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.